Skip to Content
kosemdocs
ReferenceAPIService accounts

Delete service account in project

Deletes a service account, with its keys. Everything granted to it is removed.

DELETE
/v1/projects/{project}/serviceAccounts/{serviceAccount}

Deletes a service account, with its keys. Everything granted to it is removed.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
serviceAccount*string

The service account's ID.

Match^sa_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

force?boolean

Deletes the account even if it has keys, deleting them too. Without it, deleting an account with keys fails with failed_precondition.

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/projects/string/serviceAccounts/string'
Example Response
Empty